Subject: [Sigtran] SUA, IPSP SE mode and ASP Active Ack Traffic mode param

From: "Jason Parker" <[email-masked]>
Date: Mon, 10 Dec 2007 14:45:06 -0000

Hello,
My question relates to the Single Exchange mode of operation in an IPSP
situation for the SUA.  

For the Traffic mode param in the ASP Active Ack message RFC3868 states:
"..reflecting any Traffic Mode Type value present in the related ASP
Active message." 
This implies it should be the same (possibly validated ?) Traffic Mode
sent in the ASP Active Ack message as was received in the ASP Active
message.

RFC3868 also says about IPSP considerations: "...An ASP receiving an ASP
Active Ack message may mark the peer as ASP-Active, if it is not already
in the ASP-ACTIVE state."   
i.e. we receive an Ack to the message sent from this end, containing our
own Traffic mode and not that from the remote end.  So my question is
how do we obtain the traffic mode from the remote end ?

Thanks in advance,
Jason

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 10 Dec 2007 10:12:19 -0700

Jason,

Traffic Mode is not really intended to be dynamic: that is, it should
be provisioned at both ends.

--brian

Jason Parker wrote:                           (Mon, 10 Dec 2007 14:45:06)
> 
>    Hello,
> 
>    My  question  relates  to  the Single Exchange mode of operation in an
>    IPSP situation for the SUA.
> 
>    For  the  Traffic  mode  param  in  the ASP Active Ack message RFC3868
>    states:   "..reflecting  any  Traffic  Mode  Type value present in the
>    related ASP Active message."
> 
>    RFC3868  also  says about IPSP considerations: "...An ASP receiving an
>    ASP  Active  Ack message may mark the peer as ASP-Active, if it is not
>    already in the ASP-ACTIVE state."
> 
>    i.e.  we  receive an Ack to the message sent from this end, containing
>    our own Traffic mode and not that from the remote end.  So my question
>    is how do we obtain the traffic mode from the remote end ?
> 
>    Thanks in advance,
> 
>    Jason

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Jason Parker" <[email-masked]>
Date: Mon, 10 Dec 2007 17:59:59 -0000

Brian,
I can see that will be ok for Traffic mode, (and the RFC mentions "local
configuration data if there is no request").  Does the same apply for
the TID in the ASP Active message, or is this meant to be dynamic?
Many thanks,
Jason.

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: 10 December 2007 17:12
To: Jason Parker
Cc: [email-masked]
Subject: Re: [Sigtran] SUA, IPSP SE mode and ASP Active Ack Traffic mode
param

Jason,

--brian

Jason Parker wrote:                           (Mon, 10 Dec 2007
14:45:06)

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 10 Dec 2007 12:53:46 -0700

Jason,

No, TID label is different.  (But, don't get me started on TID label.)

--brian

Jason Parker wrote:                              (Mon, 10 Dec 2007 17:59:59)
> 
>    Brian,
> 
>    I  can  see  that  will  be ok for Traffic mode, (and the RFC mentions
>    "local  configuration  data  if  there is no request").  Does the same
>    apply  for  the  TID in the ASP Active message, or is this meant to be
>    dynamic?
> 
>    Many thanks,
> 
>    Jason.

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Jason Parker" <[email-masked]>
Date: Wed, 12 Dec 2007 16:38:43 -0000

Brian,
I presume a discussion about the TID label has happened before!  If this
topic has been covered in detail could you direct me to it in the
archives.
 
I need to know if it can work in SE mode (since one end will receive an
ASP Active Ack without the TID label) or if it is only possible in DE
mode.
Regards,
Jason.

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: 10 December 2007 19:54
To: Jason Parker
Cc: [email-masked]
Subject: Re: [Sigtran] SUA, IPSP SE mode and ASP Active Ack Traffic mode
param

Jason,

--brian

17:59:59)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 12 Dec 2007 11:35:58 -0700

Jason,

Could you provide an example of where one would need to use TID label
in both directions (because I can't think of one).  Also, there is nothing
stopping an SE IPSP from, upon receiving ASP Active, sending ASP Active
itself and expecting ASP Active Ack before replying with ASP Active Ack:
in contrast to DE it is just that the activation corresponds to both
directions of traffic (duplex) and a single RC instead of each to one
direction of traffic (simplex) and a separate RC.

But back to why you think you need TID label in the first place.  Instead of
trying to split traffic on the basis of transaction identifier, why are you
not using the mechanism provided by SCCP: GTT and the SCCP entity set?  That
is the SS7 way of providing load sharing and redundancy of SCCP subsystems.
Why expose the internal architecture of a single SCCP subsystem?

--brian

Jason Parker wrote:                         (Wed, 12 Dec 2007 16:38:43)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/